using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GlobalSever.Form {
    /// <summary>
    /// 服务器面板
    /// </summary>
    public partial class ServerTable : UserControl {

        /// <summary>
        /// 是否开启服务器
        /// </summary>
        public bool isStart = false;

        /// <summary>
        /// 服务器
        /// </summary>
        protected ServerProxy server;

        /// <summary>
        /// 
        /// </summary>
        public ServerTable() {
            InitializeComponent();
        }

        /// <summary>
        ///  服务器管理
        /// </summary>
        /// <param name="server"></param>
        public ServerTable(ServerProxy server) {
            this.server = server;
            InitializeComponent();

        }

        /// <summary>
        /// 服务器启动后
        /// </summary>
        public virtual void Start() {
            isStart = true;
        }

        /// <summary>
        /// 服务器停止前
        /// </summary>
        public virtual void Stop() {
            isStart = false;
        }

        /// <summary>
        /// table显示的字符
        /// </summary>
        public virtual string tableText {
            get {
                return "测试";
            }
        }



    }
}
